Bug 1910460 - Fedora flatpak fails to start
Summary: Fedora flatpak fails to start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-music
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gnome-sig
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-24 02:15 UTC by Casey
Modified: 2021-01-01 14:53 UTC (History)
3 users (show)

Fixed In Version: gnome-music-master-3320201217190641.5
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-01 01:37:10 UTC
Type: Bug


Attachments (Terms of Use)

Description Casey 2020-12-24 02:15:03 UTC
Description of problem: 
With the latest update, the Fedora flatpak version of gnome music fails to start at all.


Version-Release number of selected component (if applicable):
Gnome music commit 2020-12-17 19:16:31



How reproducible:
Every time

Steps to Reproduce:
1. flatpak run org.gnome.Music

Actual results:
The program crashes at startup with the following backtrace:

Traceback (most recent call last):
  File "/app/bin/gnome-music", line 132, in <module>
    sys.exit(main())
  File "/app/bin/gnome-music", line 127, in main
    return run_application()
  File "/app/bin/gnome-music", line 113, in run_application
    from gnomemusic.application import Application
  File "/app/lib/python3.9/site-packages/gnomemusic/application.py", line 37, in <module>
    from gnomemusic.coregrilo import CoreGrilo
  File "/app/lib/python3.9/site-packages/gnomemusic/coregrilo.py", line 32, in <module>
    from gnomemusic.grilowrappers.grltrackerwrapper import GrlTrackerWrapper
  File "/app/lib/python3.9/site-packages/gnomemusic/grilowrappers/grltrackerwrapper.py", line 33, in <module>
    from gnomemusic.grilowrappers.grltrackerplaylists import GrlTrackerPlaylists
ModuleNotFoundError: No module named 'gnomemusic.grilowrappers.grltrackerplaylists'



Expected results:
The program should start.


Additional info: 
Fedora Silverblue 33 host

Comment 1 Fedora Update System 2020-12-28 17:00:11 UTC
FEDORA-FLATPAK-2020-ba577d802c has been submitted as an update to Fedora 33 Flatpaks. https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2020-ba577d802c

Comment 2 Fedora Update System 2020-12-29 01:33:14 UTC
FEDORA-FLATPAK-2020-ba577d802c has been pushed to the Fedora 33 Flatpaks testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2020-ba577d802c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2020-12-30 18:50:37 UTC
FEDORA-FLATPAK-2020-ba577d802c has been submitted as an update to Fedora 33 Flatpaks. https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2020-ba577d802c

Comment 4 Fedora Update System 2020-12-31 01:22:17 UTC
FEDORA-FLATPAK-2020-ba577d802c has been pushed to the Fedora 33 Flatpaks testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2020-ba577d802c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-01-01 01:37:10 UTC
FEDORA-FLATPAK-2020-ba577d802c has been pushed to the Fedora 33 Flatpaks stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Casey 2021-01-01 14:53:12 UTC
Thanks for the update and happy new year.

Unfortunately it still crashes at startup with the error

(org.gnome.Music:2): Grilo-WARNING **: 09:51:14.614: [dleyna] ../src/dleyna/grl-dleyna-servers-manager.c:138: Unable to fetch the list of available servers: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name is not activatable


Note You need to log in before you can comment on or make changes to this bug.